## spdlog 1.8.1+ds

=== debian/changelog ===
spdlog (1:1.8.1+ds-2.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Feb 2021 15:04:09 -0800

spdlog (1:1.8.1+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Track fmtlib abi in libspdlog1 (Closes: #978471)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 30 Dec 2020 02:30:44 +0800

spdlog (1:1.8.1+ds-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Drop symbols file
    Closes: #977454

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 18:33:59 +0100

spdlog (1:1.8.1+ds-1) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Freshen patches

  [ Andreas Tille ]
  * Provide symbols file for amd64 only to reduce maintenance burden
    Closes: #966959
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2020 09:50:06 +0100

spdlog (1:1.5.0+ds-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark one more symbol as optional for ppc64 when building with -O3.
    Closes: #961134

  [ Michael R. Crusoe ]
  * Move libfmt-dev dependency from libspdlog1 to libspdlog-dev.
    Closes: #962089
  * Adjust libspdlog1 symbols for buster-bpo/amd64. Closes: #963481
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jun 2020 17:20:18 +0200

spdlog (1:1.5.0+ds-4) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Update Michael's email address

  [ Nilesh Patra ]
  * Use system libfmt by default
    Closes: #956694

  [ Andreas Tille ]
  * Add salsa-ci.yml

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 14 Jun 2020 20:46:53 +0200

spdlog (1:1.5.0+ds-3) unstable; urgency=medium

  * Speed up nocheck build profile by not building the tests & example

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Mar 2020 11:44:57 +0100

spdlog (1:1.5.0+ds-3~rc1) experimental; urgency=medium

  * Hopefully the final symbols refresh for 1.5.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Mar 2020 08:50:12 +0100

spdlog (1:1.5.0+ds-3~rc0) experimental; urgency=medium

  * Depend on newer libfmt (Closes: #952625)
  * libspdlog-dev is Multi-Arch: same

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Mar 2020 11:45:33 +0100
