=== debian/control ===
Source: spdlog
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: libdevel
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfmt-dev (>= 6.1.2+ds),
               libsystemd-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/spdlog
Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
Homepage: https://github.com/gabime/spdlog
Rules-Requires-Root: no

Package: libspdlog-dev
Architecture: any
Multi-Arch: same
Depends: libfmt-dev (>= 6.1.2+ds),
         libspdlog1 (= ${binary:Version}),
         ${misc:Depends}
Description: Very fast, header only or compiled, C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.

Package: libspdlog1
Architecture: any
Multi-Arch: same
Section: libs
Breaks: bear (<< 3.0.5-1),
        libear (<< 3.0.5-1),
        libpurify2.0 (<< 2.0.0-5+b2),
        nheko (<< 0.7.2-3+b1),
        purify (<< 2.0.0-5+b2),
        waybar(<< 0.9.4-1+b2)
Provides: ${spdlog:Provides}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Very fast C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.
 .
 This is the compiled version of the library.
