=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibspdlog$(soversion) -V '$(spdlogfmtabi)'
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
