=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: cmake, g++, libspdlog-dev
