## spdlog 1.8.5+ds

=== debian/changelog ===
spdlog (1:1.8.5+ds-3) unstable; urgency=medium

  * Ignore vendored copy of catch.hpp; use the one from the catch2
    package instead. Closes: #993511

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Sep 2021 14:59:55 +0200

spdlog (1:1.8.5+ds-2) unstable; urgency=medium

  * Fix autopkgtests by tweaking our patch and matching compilation flags
    better. (Closes: #992977)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 26 Aug 2021 13:20:09 +0200

spdlog (1:1.8.5+ds-1) unstable; urgency=medium

  * Team upload

  [ Pino Toscano ]
  * Limit libsystemd-dev build dependency to linux-any
  * Fix dh_auto_test override

  [ xiao sheng wen ]
  * New upstream version 1.8.5+ds (Closes: #992359)
  * d/watch: fix typo

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 07 Jun 2021 11:03:13 +0800
