=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: spdlog
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: libdevel
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               pkg-config,
+               libsystemd-dev [linux-any],
                libfmt-dev (>= 6.1.2+ds),
-               libsystemd-dev,
-               pkg-config,
-               pkg-kde-tools
+               pkg-kde-tools,
+               catch2
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
@@ -19,8 +19,9 @@
 Package: libspdlog-dev
 Architecture: any
 Multi-Arch: same
-Depends: libfmt-dev (>= 6.1.2+ds),
-         libspdlog1 (= ${binary:Version}),
+Depends: libspdlog1 (= ${binary:Version}),
+         libfmt-dev (>= 6.1.2+ds),
+         catch2,
          ${misc:Depends}
 Description: Very fast, header only or compiled, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
@@ -46,7 +47,8 @@
         purify (<< 2.0.0-5+b2),
         waybar(<< 0.9.4-1+b2)
 Provides: ${spdlog:Provides}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Very fast C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat
