=== debian/watch ===
version=4

opts=repacksuffix=+ds,dversionmangle=auto \
  https://github.com/gabime/spdlog/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
