=== debian/changelog ===
spdlog (1:1.9.2+ds-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Dec 2021 11:37:10 -0500

spdlog (1:1.9.2+ds-0.1) experimental; urgency=medium

  * Non-maintainer upload with maintainer team acknowledgement.

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #1000967
  * d/watch: define proper filename
  * Standards-Version: 4.6.0 (routine-update)

  [ Boyuan Yang ]
  * debian/control: Bump fmtlib version requirement to (>= 8.0.1).

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Dec 2021 14:52:53 -0500
