=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                cmake,
                pkg-config,
                libsystemd-dev [linux-any],
-               libfmt-dev (>= 6.1.2+ds),
+               libfmt-dev (>= 8.0.1),
                pkg-kde-tools,
                catch2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
@@ -20,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libspdlog1 (= ${binary:Version}),
-         libfmt-dev (>= 6.1.2+ds),
+         libfmt-dev (>= 8.0.1),
          catch2,
          ${misc:Depends}
 Description: Very fast, header only or compiled, C++ logging library
@@ -40,15 +40,14 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Breaks: bear (<< 3.0.5-1),
         libear (<< 3.0.5-1),
         libpurify2.0 (<< 2.0.0-5+b2),
         nheko (<< 0.7.2-3+b1),
-        purify (<< 2.0.0-5+b2),
-        waybar(<< 0.9.4-1+b2)
+        purify (<< 2.0.0-5+b2)
 Provides: ${spdlog:Provides}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
 Description: Very fast C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat
