=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,7 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	export CTEST_PARALLEL_LEVEL=1 && cd obj-* && ctest -j1
-endif
+	dh_auto_test --no-parallel
 
 override_dh_auto_install:
 	rm -f example/logs/.gitignore
@@ -51,6 +49,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibspdlog$(soversion) -V '$(spdlogfmtabi)'
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
