=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                cmake,
                pkg-config,
                libsystemd-dev [linux-any],
-               libfmt-dev (>= 8.0.1),
+               libfmt-dev (>= 9.0.0),
                pkg-kde-tools,
                catch2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
@@ -19,8 +19,8 @@
 Package: libspdlog-dev
 Architecture: any
 Multi-Arch: same
-Depends: libspdlog1 (= ${binary:Version}),
-         libfmt-dev (>= 8.0.1),
+Depends: libspdlog1.10 (= ${binary:Version}),
+         libfmt-dev (>= 9.0.0),
          catch2,
          ${misc:Depends}
 Description: Very fast, header only or compiled, C++ logging library
@@ -36,7 +36,7 @@
  Various log targets:
  Rotating log files, Daily log files, Console logging, Linux syslog.
 
-Package: libspdlog1
+Package: libspdlog1.10
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -46,7 +46,9 @@
         libear (<< 3.0.5-1),
         libpurify2.0 (<< 2.0.0-5+b2),
         nheko (<< 0.7.2-3+b1),
-        purify (<< 2.0.0-5+b2)
+        purify (<< 2.0.0-5+b2),
+        libspdlog1 (<< 1:1.10.0+ds-0.3)
+Replaces: libspdlog1 (<< 1:1.10.0+ds-0.3)
 Provides: ${spdlog:Provides}
 Description: Very fast C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
