=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: libspdlog-dev, cmake, g++
