## spdlog 1.12.0+ds

=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
         message(STATUS "Downloading GoogleBenchmark")
         include(FetchContent)
 
-        # disable tests  
-        set(BENCHMARK_ENABLE_TESTING OFF CACHE INTERNAL "")        
+        # disable tests
+        set(BENCHMARK_ENABLE_TESTING OFF CACHE INTERNAL "")
         # Do not build and run googlebenchmark tests
         FetchContent_Declare(googlebenchmark GIT_REPOSITORY https://github.com/google/benchmark.git GIT_TAG v1.6.0)
         FetchContent_MakeAvailable(googlebenchmark)
